#ifndef __C2SFE_SERVERLISTPING_H__
#define __C2SFE_SERVERLISTPING_H__

#include "GenericC2SPacket.h"
#include "../config.h"

namespace umcs {
    class C2SFEServerListPing : public CGenericC2SPacket {
    private:
        char m_Magic;
    protected:
        unsigned int GetNumFields(void) { return 1; };
        bool ReadField(unsigned int Field);
    public:
        C2SFEServerListPing(unsigned char *Buffer) : CGenericC2SPacket(Buffer) { }
        virtual int GetPacketID(void) { return 0xFE; }

        char GetMagic(void) { return m_Magic; }
        virtual int Handle(CClientConnection *Connection);
    };
};

#endif