#ifndef __GENERIC_S2C_PACKET_H__
#define __GENERIC_S2C_PACKET_H__

#include "../config.h"
#include "../ClientConnection.h"

namespace umcs {
    enum ES2CPacket : unsigned char {
        S2CKICK = 0xFF
    };

    typedef struct {
        unsigned char m_PacketID;
        const char *m_Format;
    } TS2CPacketDefinition;

    class CGenericS2CPacket
    {
    public:
        static TVector<unsigned char> Serialize(ES2CPacket PacketID, ...);
    };
};

#endif